VERSION 2.00
Begin Form frmUserSetup 
   BackColor       =   &H8000000F&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "User Setup"
   ClientHeight    =   2205
   ClientLeft      =   2115
   ClientTop       =   4560
   ClientWidth     =   4815
   ControlBox      =   0   'False
   Height          =   2640
   Left            =   2040
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2205
   ScaleWidth      =   4815
   Top             =   4200
   Width           =   4965
   Begin CommandButton btnCopy 
      Caption         =   "&Copy"
      Height          =   375
      Left            =   2520
      TabIndex        =   4
      Top             =   1440
      Width           =   975
   End
   Begin SSCommand btnUsers 
      Caption         =   "User &Name:   "
      Font3D          =   3  'Inset w/light shading
      Height          =   345
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   1335
   End
   Begin SSPanel pnlInfo 
      Align           =   2  'Align Bottom
      BackColor       =   &H00C0C0C0&
      BevelInner      =   1  'Inset
      BevelOuter      =   0  'None
      Caption         =   "Privacy is essential to a free society"
      Font3D          =   3  'Inset w/light shading
      Height          =   345
      Left            =   0
      TabIndex        =   9
      Top             =   1860
      Width           =   4815
   End
   Begin SSCheck chkWarn 
      Caption         =   "&Warning"
      Font3D          =   0  'None
      ForeColor       =   &H80000012&
      Height          =   255
      Left            =   3480
      TabIndex        =   6
      Top             =   120
      Value           =   -1  'True
      Width           =   1095
   End
   Begin CommandButton btnDelete 
      Caption         =   "&Delete"
      Height          =   375
      Left            =   1320
      TabIndex        =   3
      Top             =   1440
      Width           =   975
   End
   Begin CommandButton btnDone 
      Cancel          =   -1  'True
      Caption         =   "D&one"
      Height          =   375
      Left            =   3720
      TabIndex        =   5
      Top             =   1440
      Width           =   975
   End
   Begin CommandButton btnUpdate 
      Caption         =   "&Update"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1440
      Width           =   975
   End
   Begin TextBox txtPassphrase 
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   4575
   End
   Begin ComboBox cboUserName 
      Height          =   300
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   480
      Width           =   4575
   End
   Begin SSPanel lblPassphrase 
      Alignment       =   1  'Left Justify - MIDDLE
      BackColor       =   &H00C0C0C0&
      BevelOuter      =   0  'None
      BevelWidth      =   0
      BorderWidth     =   0
      Caption         =   "Passphrase:"
      Font3D          =   3  'Inset w/light shading
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   840
      Width           =   2175
   End
End

Sub btnCopy_Click ()
frmUserSetup.Hide
ExtractKey (cboUserName.Text)
frmWait.Show
FreshenLists
Unload frmWait
frmUserSetup.Show
End Sub

Sub btnCopy_GotFocus ()
frmUserSetup.pnlInfo.Caption = "Copy this User's public key to a separate *.asc file"

End Sub

Sub btnDelete_Click ()
frmUserSetup.Hide
DeleteKey (cboUserName.Text)
frmWait.Show
SetUpUsers
SetUpRecs
FreshenLists
Unload frmWait
frmUserSetup.Show
End Sub

Sub btnDelete_GotFocus ()
frmUserSetup.pnlInfo.Caption = "Remove this User from your key rings"

End Sub

Sub btnDone_Click ()
Unload frmUserSetup
End Sub

Sub btnDone_GotFocus ()
frmUserSetup.pnlInfo.Caption = "Exit User Setup"
End Sub

Sub btnUpdate_Click ()
If NumberOfUsers <> 0 Then
    For i = 1 To NumberOfUsers
        If ListOfUsers(i) = cboUserName.Text Then
            If txtPassphrase.Text = "" Then txtPassphrase.Text = "NONE"
            ListOfPassphrases(i) = txtPassphrase.Text
        End If
        Result = SetINI("Passwords", ListOfUsers(i), ListOfPassphrases(i), IniFile$)
    Next i
End If

End Sub

Sub btnUpdate_GotFocus ()
frmUserSetup.pnlInfo.Caption = "Make this the Passphrase for this User"

End Sub

Sub btnUsers_Click ()
frmUserSetup.Hide
MakeKey
frmWait.Show
SetUpUsers
SetUpRecs
FreshenLists
Unload frmWait
frmUserSetup.Show
End Sub

Sub btnUsers_GotFocus ()
frmUserSetup.pnlInfo.Caption = "Generate a new private/public key pair"
End Sub

Sub btnUsers_MouseDown (Button As Integer, Shift As Integer, X As Single, Y As Single)
frmUserSetup.btnUsers.Caption = "Create User"
End Sub

Sub btnUsers_MouseUp (Button As Integer, Shift As Integer, X As Single, Y As Single)
frmUserSetup.btnUsers.Caption = "&Name:          "
End Sub

Sub cboUserName_Click ()
For i = 1 To NumberOfUsers
    If cboUserName.Text = ListOfUsers(i) Then txtPassphrase.Text = ListOfPassphrases(i)
Next i
End Sub

Sub cboUserName_GotFocus ()
    frmUserSetup.pnlInfo.Caption = "Modify this person's Passphrase"
For i = 1 To NumberOfUsers
    If cboUserName.Text = ListOfUsers(i) Then txtPassphrase.Text = ListOfPassphrases(i)
Next i
End Sub

Sub cboUserName_LostFocus ()
For i = 1 To NumberOfUsers
    If cboUserName.Text = ListOfUsers(i) Then txtPassphrase.Text = ListOfPassphrases(i)
Next i
End Sub

Sub chkWarn_Click (Value As Integer)
If chkWarn.Value = True Then
    frmUserSetup.pnlInfo.Caption = "Do show the security warning each time"
Else
    frmUserSetup.pnlInfo.Caption = "Don't show the security warning each time"
End If
    Warning = Value
End Sub

Sub chkWarn_GotFocus ()
If chkWarn.Value = True Then
    frmUserSetup.pnlInfo.Caption = "Do show the security warning each time"
Else
    frmUserSetup.pnlInfo.Caption = "Don't show the security warning each time"
End If

End Sub

Sub Form_Load ()
'place form in the proper location
Left = (Screen.Width - Width) / 2   ' Center form horizontally.
Top = (Screen.Height - Height) / 3  ' Center form vertically.

frmPGPWinShell.Hide
frmWait.Show
SetUpUsers
Unload frmWait

FreshenLists

If Warning = True Then
    chkWarn = True
Else
    chkWarn = False
End If

End Sub

Sub Form_Unload (Cancel As Integer)
If Warning = True Then
    Result = SetINI("Defaults", "PassphraseWarning", "TRUE", IniFile$)
Else
    Result = SetINI("Defaults", "PassphraseWarning", "FALSE", IniFile$)
End If
frmPGPWinShell.Show
End Sub

Sub FreshenLists ()
cboUserName.Clear
If NumberOfUsers <> 0 Then
    ReDim ListOfPassphrases$(NumberOfUsers)
    For i = 1 To NumberOfUsers
        ListOfPassphrases$(i) = GetINI$("Passwords", ListOfUsers(i), "NONE", IniFile$)
        If ListOfPassphrases$(i) = "" Then ListOfPassphrases$(i) = "NONE"
        cboUserName.AddItem ListOfUsers$(i)
    Next i
    cboUserName.ListIndex = 0
End If

For i = 1 To (NumberOfUsers)
        If cboUserName.Text = ListOfUsers(i) Then
            txtPassphrase.Text = ListOfPassphrases(i)
        End If
Next i

End Sub

Sub txtPassphrase_Change ()
    frmUserSetup.pnlInfo.Caption = "This User's default Passphrase, if any"
End Sub

Sub txtPassphrase_GotFocus ()
    frmUserSetup.pnlInfo.Caption = "This User's default Passphrase, if any"
End Sub

